### A free/open-source library for quantitative finance

Public Types | Public Member Functions
Germany Class Reference
Calendars

German calendars. More...

`#include <ql/time/calendars/germany.hpp>`

Inheritance diagram for Germany:
[legend]

List of all members.

## Public Types

enum | Market { Settlement, FrankfurtStockExchange, Xetra, Eurex, Euwax }
| German calendars. More...

## Public Member Functions

| Germany (Market market=FrankfurtStockExchange)

## Detailed Description

German calendars.

Public holidays:

- Saturdays
- Sundays
- New Year's Day, January 1st
- Good Friday
- Easter Monday
- Ascension Thursday
- Whit Monday
- Corpus Christi
- Labour Day, May 1st
- National Day, October 3rd
- Christmas Eve, December 24th
- Christmas, December 25th
- Boxing Day, December 26th
- New Year's Eve, December 31st

Holidays for the Frankfurt Stock exchange (data from http://deutsche-boerse.com/):

- Saturdays
- Sundays
- New Year's Day, January 1st
- Good Friday
- Easter Monday
- Labour Day, May 1st
- Christmas' Eve, December 24th
- Christmas, December 25th
- Christmas Holiday, December 26th
- New Year's Eve, December 31st

Holidays for the Xetra exchange (data from http://deutsche-boerse.com/):

- Saturdays
- Sundays
- New Year's Day, January 1st
- Good Friday
- Easter Monday
- Labour Day, May 1st
- Christmas' Eve, December 24th
- Christmas, December 25th
- Christmas Holiday, December 26th
- New Year's Eve, December 31st

Holidays for the Eurex exchange (data from http://www.eurexchange.com/index.html):

- Saturdays
- Sundays
- New Year's Day, January 1st
- Good Friday
- Easter Monday
- Labour Day, May 1st
- Christmas' Eve, December 24th
- Christmas, December 25th
- Christmas Holiday, December 26th
- New Year's Eve, December 31st

Holidays for the Euwax exchange (data from http://www.boerse-stuttgart.de):

- Saturdays
- Sundays
- New Year's Day, January 1st
- Good Friday
- Easter Monday
- Labour Day, May 1st
- Whit Monday
- Christmas' Eve, December 24th
- Christmas, December 25th
- Christmas Holiday, December 26th
- New Year's Eve, December 31st

Tests:
  the correctness of the returned results is tested against a list of known holidays.

## Member Enumeration Documentation

enum Market

German calendars.

Enumerator:

  Settlement | generic settlement calendar
  FrankfurtStockExchange | Frankfurt stock-exchange.
  Xetra | Xetra.
  Eurex | Eurex.
  Euwax | Euwax.